package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class PayRequestCollection extends AbstractObjectCollection 
{
    public PayRequestCollection()
    {
        super(PayRequestInfo.class);
    }
    public boolean add(PayRequestInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(PayRequestCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(PayRequestInfo item)
    {
        return removeObject(item);
    }
    public PayRequestInfo get(int index)
    {
        return(PayRequestInfo)getObject(index);
    }
    public PayRequestInfo get(Object key)
    {
        return(PayRequestInfo)getObject(key);
    }
    public void set(int index, PayRequestInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(PayRequestInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(PayRequestInfo item)
    {
        return super.indexOf(item);
    }
}